DiscoveryProfile (CMDB Model API)
Keywords: com.collation.platform.model.discovery.profile.DiscoveryProfile interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.collation.platform.model.discovery.profile
Interface DiscoveryProfile

All Superinterfaces:
  ModelObject, java.io.Serializable

    public interface DiscoveryProfile

extends ModelObject

Configuration for a DiscoveryProfile

Naming Rules:
  0="name"
Persistable:
  true
Table Name:
  DISCPROF
Display Name:
  name

Method Summary
`ProfileAccessEntry[]` | `getAccessList()`
`AgentConfiguration[]` | `getAgentConfigurations()`
`java.lang.String` | `getName()`
`int` | `getObjectVersion()`
`Property[]` | `getProperties()`
`ScopeRestriction[]` | `getScopeRestrictions()`
`boolean` | `hasAccessList()`
`boolean` | `hasAgentConfigurations()`
`boolean` | `hasName()`
`boolean` | `hasObjectVersion()`
`boolean` | `hasProperties()`
`boolean` | `hasScopeRestrictions()`
`void` | `setAccessList(ProfileAccessEntry[] accessList)`
`void` | `setAgentConfigurations(AgentConfiguration[] acs)`
`void` | `setName(java.lang.String name)`
`void` | `setObjectVersion(int version)`
`void` | `setProperties(Property[] properties)`
`void` | `setScopeRestrictions(ScopeRestriction[] scopeRestrictions)`

Methods inherited from interface com.collation.platform.model.ModelObject
`getAdminState, getAllAttributes, getBidiFlag, getBidiFormat, getCDMSource, getCmdbSource, getContextIp, getCreatedBy, getDescription, getDisplayName, getExtendedAttributes, getGuid, getLabel, getLastModifiedBy, getLastModifiedTime, getObjectType, getSourceToken, hasAdminState, hasBidiFlag, hasBidiFormat, hasCDMSource, hasCmdbSource, hasContextIp, hasDescription, hasDisplayName, hasExtendedAttributes, hasGuid, hasLabel, hasObjectType, hasSourceToken, setAdminState, setBidiFlag, setBidiFormat, setCDMSource, setCmdbSource, setContextIp, setDescription, setExtendedAttributes, setGuid, setLabel, setObjectType, setSourceToken`

Method Detail

### getName

    java.lang.String getName()
                             throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setName

    void setName(java.lang.String name)

### hasName

    boolean hasName()

### getAgentConfigurations

    AgentConfiguration[] getAgentConfigurations()
                                                throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Table Name:
    DP_AC

### setAgentConfigurations

    void setAgentConfigurations(AgentConfiguration[] acs)

### hasAgentConfigurations

    boolean hasAgentConfigurations()

### getProperties

    Property[] getProperties()
                             throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Table Name:
    DP_PROP
  Containment Relationship:
    true

### setProperties

    void setProperties(Property[] properties)

### hasProperties

    boolean hasProperties()

### getScopeRestrictions

    ScopeRestriction[] getScopeRestrictions()
                                            throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Table Name:
    DP_SCPRES

### setScopeRestrictions

    void setScopeRestrictions(ScopeRestriction[] scopeRestrictions)

### hasScopeRestrictions

    boolean hasScopeRestrictions()

### getAccessList

    ProfileAccessEntry[] getAccessList()
                                       throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Table Name:
    DP_ACSENT
  Containment Relationship:
    true

### setAccessList

    void setAccessList(ProfileAccessEntry[] accessList)

### hasAccessList

    boolean hasAccessList()

### getObjectVersion

    int getObjectVersion()
                         throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setObjectVersion

    void setObjectVersion(int version)

### hasObjectVersion

    boolean hasObjectVersion()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD